Bug 21158 - spell check ceases to function with pine-4.30-1.62
Summary: spell check ceases to function with pine-4.30-1.62
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pine   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-21 01:20 UTC by Lee Howard
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-22 04:38:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:042 high SHIPPED_LIVE : Updated pine packages available 2001-03-31 05:00:00 UTC

Description Lee Howard 2000-11-21 01:20:29 UTC
Spell check worked fine under pine-4.10 (or whatever came with 6.2).

After upgrading to pine-4.30-1.62 via the Errata RPMs, the spell checker 
always terminates with:

 [ Alternate speller abnormally terminated (255) ]

Comment 1 Pekka Savola 2000-11-21 17:45:32 UTC
Probably caused by the fact that /etc/pine.conf defines 'aspell' as the spelling program
but that only started shipping in RHL7...


Comment 2 Mike A. Harris 2000-11-22 04:38:35 UTC
Previous versions of Red Hat Linux used "ispell" as the spell checker,
however Red Hat Linux 7.0 uses a new spell checker called "aspell".
The new errata pine package is configured correctly for Red Hat Linux 7.0,
but incorrectly for previous versions.  You can correct the problem yourself
by editing the master pine configuration file /etc/pine.conf and changing
the line near the bottom that says "speller=aspell --mode=email check" to
just read "speller=".


Comment 3 Mike A. Harris 2001-02-06 16:30:58 UTC
This is fixed in rawhide currently, and an errata will be released soon
for 6.x and 5.x to address other issues that will contain the fix as well.


Note You need to log in before you can comment on or make changes to this bug.